import webbrowser
import folium
import json
import requests

data= requests.get('https://data.agglo-carene.fr/explore/dataset/244400644_pav_dechets0/download/?format=json&timezone=Europe/Berlin&lang=fr')

def find(flux,code,d):
    Lcoord=[]
    tabJSON = json.loads(d.text)
    for objetJSON in tabJSON:
        if objetJSON['fields']['flux']==flux and objetJSON['fields']['code_insee']==code:
            Lcoord.append(objetJSON['fields']['geo_point_2d'])
    return Lcoord

coords=[]
coords=find("Multi matériaux","44184",data)
print(coords)
# Création d'une carte
fmap = folium.Map(location=[47.273471690927614, -2.232579926981806], tiles='OpenStreetMap', zoom_start=16)

# Ajout d'un marqueur
for loc in coords :
    folium.Marker(loc,
                  popup='Multi matériaux',
                  icon=folium.Icon(color='green')).add_to(fmap)
# Génération du fichier HTML contenant la carte
fmap.save('dechets.html')
webbrowser.open('dechets.html')